clear all
webuse nhanes2, clear
forvalues g= 3/6 {
    logistic heartatk i.diabetes i.highbp i.sex if agegrp==`g'     
}















*************************
* Postestimation
cls
clear all
webuse nhanes2, clear
forvalues g= 3/6 {
    logistic heartatk i.diabetes i.highbp i.sex if agegrp==`g'     
    margins r.(diabetes highbp sex) if e(sample), post
    etable, append
}
etable, replay note(1: 40s, 2: 50s, 3: 60s, 4: 70+ age group.)



*************************




* Adding labels to our output

cls
clear all
webuse nhanes2, clear
forvalues g= 3/6 {
    local agelbl : label agegrp `g'
    display as result "Age group=`agelbl'"
    logistic heartatk i.diabetes i.highbp i.sex if agegrp==`g'     
    margins r.(diabetes highbp sex) if e(sample), post
    etable, append
}
etable, replay note(1: 40s, 2: 50s, 3: 60s, 4: 70+ age group.)


*************************




* Inline use of macro functions

cls
clear all
webuse nhanes2, clear
forvalues g= 3/6 {
    display as result "Age group=`: label agegrp `g''"
    logistic heartatk i.diabetes i.highbp i.sex if agegrp==`g'     
    margins r.(diabetes highbp sex) if e(sample), post
    etable, append
}
etable, replay note(1: 40s, 2: 50s, 3: 60s, 4: 70+ age group.)

