
**# Local macros
local me "Gabriela"
display "Hello, my name is `me'"

* You can store an expression
local age "20+1"
display "`age'"

* Or have the macro evaluate the expression
local age2 = 20 + 1
display "`age2'"

* Macro function
sysuse auto, clear
describe make
local makelbl : variable label make
display "`makelbl'"

**# forvalues
forvalues g= 1/3 {
    display "g=`g'" 
}

webuse nhanes2, clear
desc agegrp heartatk diabetes highbp
codebook agegrp 

do forvalues

* from 10 to 100, in increments of 10
forvalues vals = 10(10)100 {
    display "Value: `vals'"
}

* from 3 to 12, in increments of 6-3
forvalues vals = 3 6 to 12 {
    display "Value: `vals'"
}

**# foreach
do foreach

**# Nesting loops

* A loop that errors out
do error

do error2 

* regressions by industry and year 
do nested 

**# Global macros 

global names Jane Julie Jenna
display "$names"
global age = 20 + 1
display "$age"

* Using a macro function to append multiple files 
global data: dir . files "file*.dta"
clear
append using $data, generate(whichfile)
list make whichfile, sepby(whichfile)

* Macros in other do-files 
do names
foreach i of global first {
    display "First name: `i'"
}
foreach i of local last {
    display "Last name: `i'"
}

* Including other do-files
include names 
foreach i of local last {
    display "Last name: `i'"
}